Subject: bug#58790: Eglot URI parsing bug when using clojure-lsp server

From: João Távora <[email-masked]>
Date: Thu, 10 Nov 2022 21:59:37 +0000

I agree on the two comments about the ChangeLog style entries and the
spacing.

But when dealing with eglot.el, which I am the prime maintainer of,
I really prefer to see design described in the commit message where the
design was introduced. It plays very well with vc-region-history.

So Danny, if you don't mind, please revert that part.

João

On Thu, Nov 10, 2022 at 9:54 PM Danny Freeman <[email-masked]> wrote:

>
> Eli Zaretskii <[email-masked]> writes:
>
> >
> > OK, then I have a few minor comments, before this can be installed:
> >
> > This lacks ChangeLog-style parts which specify the file(s) and
> > function(s) which were changed.
>
> Thanks for your patience, I believe I've got that corrected now. See the
> attachments.
>
> > Also, in the text above, please leave two spaces between sentences,
> > per our conventions, and refill the text to be at most 63 columns.
>
> I cut it down to 63. I don't mind either way, but thought I would
> mention that the CONTRIBUTE file mentions 79 columns, which is what I
> normally default to in commit messages.
>
> >> The file-name-operation being checked, any-handler, has no significant
> >> meaning, other than that it is not one that would be suppressed by
> >> inhibit-file-name-operation. We just want to check that a handler exists
> >> and has the potential to handle this URI, not actually dispatch a
> >> file-name-operation right now.
> >
> > Same here.  And in this case, the text should definitely be in
> > comments.
>
> Done!!!
>
>
>
> Thank you,
> --
> Danny Freeman
>

-- 
João Távora